LAMHALT(1)

NAME
lamhalt - Shutdown the LAM/MPI run-time environment.

SYNTAX
lamhalt [-dhHv]

OPTIONS

-d  Turn on debugging mode. This implies -v.

-h  Print the command help menu.

-i  Return immediately (even before the LAM universe is fully halted); deprecated

-H  Suppress printing the header message.

-v  Be verbose.

DESCRIPTION
The lamhalt tool terminates the LAM software on each of the nodes that were initially booted with lamboot and/or lamgrow. No additional command line arguments are necessary - lamhalt simply sends a message to each remote node telling it to shut down. Each remote node invokes tkill(1) locally to shut down. See tkill(1) for a description of how LAM is terminated on each node.

lamhalt may fail if one of the remote nodes has failed, and does not respond to lamhalt's queries. In this case, the lamwipe(1) command should be used to shut down LAM/MPI. If lamwipe(1) fails, the user can manually invoke tkill(1) on the troubled node. In extreme cases, the user may have to terminate individual LAM processes with kill(1).

Older versions of lamhalt would return 1-3 seconds before the entire LAM universe was shut down. This caused problems for some LAM users, particularly those who had scripts that invoked lamboot immediately after lamhalt. lamhalt has therefore been changed to wait until the entire LAM universe is down before exiting. This makes the execution of lamhalt take a few seconds (typically less than 5).

For users who want the old lamhalt behavior, use the -i (or "immediate") switch, which will cause lamhalt to return immediately, likely before the entire LAM universe has been taken down.

EXAMPLES

lamhalt -d
    Shutdown LAM on the machines and be verbose about its actions.

SEE ALSO
recon(1), lamboot(1), tkill(1), bhost(5), lam-helpfile(5), lamwipe(1)